<?xml version="1.0" encoding="utf-8"?>
<taskrunner name="uninstall" version="1.3" date="2013-07-08" maxthreads="1">

	<!-- 
    Script för avinstallation 
  
    Change log:
      2012-07-08: teriks28 : OGB project : Added parameter "RestoreEswdl" on task "douninstall", set to false to remove eswdl from disk
  -->
  
	<includes>
		<file name="vida.install.settings.xml" />
	</includes>

	
	<tasks>

    <task name="set.main.install.type" typename="@SetGlobalProperty">
      <description>
        Sets the global property main.install.type to UNINSTALL.
        This value will not change during the reinstallation.
      </description>
      <dependencies list=""/>
      <parameters>
        <parameter name="property.name" value="main.install.type"/>
        <parameter name="property.value" value="UNINSTALL"/>
      </parameters>
    </task>

    <task name="douninstall">
      <dependencies list="set.main.install.type"/>
      <subtasks filename="vida.douninstall.xml">
        <parameters>
          <parameter name="RestoreEswdl" value="false"/>  
        </parameters>
      </subtasks>
    </task>
    
  </tasks>

  <events>
    <event name="ON_FINISH_OK">
      <subtasks filename="vida.finish.ok.xml">
      </subtasks>
    </event>

    <event name="ON_FINISH_FAILED">
      <subtasks filename="vida.finish.nok.xml">
      </subtasks>
    </event>
  </events>
  
</taskrunner>
